Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.security
Enum EntityAction

    java.lang.Object
      java.lang.Enum<EntityAction>
          org.jboss.seam.security.EntityAction

All Implemented Interfaces:
  Serializable, Comparable<EntityAction>

    public enum EntityAction

extends Enum<EntityAction>

Actions that may be performed upon entities in JPA or Hibernate.

Author:
  Shane Bryzak

Enum Constant Summary
`DELETE`
`INSERT`
`READ`
`UPDATE`

Method Summary
`String` | `toString()`
`static EntityAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EntityAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final EntityAction READ

### INSERT

    public static final EntityAction INSERT

### UPDATE

    public static final EntityAction UPDATE

### DELETE

    public static final EntityAction DELETE

Method Detail

### values

    public static final EntityAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EntityAction c : EntityAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EntityAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<EntityAction>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD